> For the complete documentation index, see [llms.txt](https://docs.tutelar.io/tutelar-api-document/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tutelar.io/tutelar-api-document/business-profile/epfo-basic-establishment.md).

# EPFO Basic Establishment

The EPFO Establishment API retrieves establishment details using the provided Establishment ID and generates a monthly summary of the establishment’s transactions for the specified number of months.

## epfo\_basic\_establishment

<mark style="color:green;">`POST`</mark> `https://secctrl.tutelar.io/api/v1/services/business_profile/epfo_basic_establishment`

#### Sample Request Body

<table><thead><tr><th width="167">Body</th><th width="148">Type</th><th width="123.4296875">Mandatory</th><th width="307.59765625">Description</th></tr></thead><tbody><tr><td>establishmentId</td><td>string</td><td>Yes</td><td>Company's EPFO Establishment ID</td></tr><tr><td>months</td><td>string</td><td>Yes</td><td>Number of months to look back starting from current date to get monthly summary of transactions.</td></tr></tbody></table>

#### Sample Post Parameters

```json
{
 "establishmentId": "TNMAS0084042000",
 "months": "2"
}
```

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "7432a1ae-dbe6-4f52-affb-a72412c9d5af",
    "status": "completed",
    "result": {
        "establishmentStatus": "Inactive",
        "establishmentInfo": {
            "address": "PETTUKOLA TOWERS 2ND FLOOR NO,190 A PETTUKOLA TOWERS 2ND FLOOR NO,190 A",
            "city": "CHENNAI",
            "country": "India",
            "dateOfSetupOfEstablishment": "",
            "district": "",
            "epfoOfficeAddress": "No. 37, Royapettah High Road, Opposite Swagat Hotel,",
            "epfoOfficeName": "CHENNAI",
            "esicCode": "",
            "establishmentCode": "TNMAS0084042000",
            "nameOfEstablishment": "ENTRUST EXIM",
            "ownershipType": "",
            "panStatus": "",
            "pinCode": "600010",
            "primaryBusinessActivity": "TRADING - COMMERCIAL ESTABLISHMENTS",
            "region": "TN - CHENNAI",
            "sectionApplicable": "OTHER ESTABLISHMENTS IN WHICH EMPLOYING 20 OR MORE PERSONS AND NOTIFIED BY THE CENTRAL GOVT.",
            "state": "TAMIL NADU",
            "zone": "TAMIL NADU AND KERALA"
        },
        "transactionsMonthlySummary": "No Payment details found for this Establishment id."
    },
    "requested_at": "2026-05-27T13:23:04.680Z",
    "completed_at": "2026-05-27T13:23:05.914Z"
}
```

{% endtab %}

{% tab title="200 : In progress" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "77a01069-2dfd-422f-8006-45389e2abf8a",
    "status": "in_progress",
    "requested_at": "2026-05-27T13:42:28.487Z"
}
```

{% endtab %}

{% tab title="400: Validation Error Response" %}

```json
{
    "success": false,
    "code": 400,
    "message": "Establishment Id should not be empty",
    "error": {
        "message": "Establishment Id should not be empty",
        "field": "establishmentId",
        "code": "BAD_REQUEST"
    }
}

{
    "success": false,
    "code": 400,
    "message": "Months should be between 1 and 4",
    "error": {
        "message": "Months should be between 1 and 4",
        "field": "months",
        "code": "BAD_REQUEST"
    }
}

```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "84068ad7-9dd3-4b56-8d42-c77eead306f5",
    "status": "failed",
    "error": {
        "message": "No result found",
        "code": "ERROR"
    },
    "requested_at": "2026-05-27T13:44:16.463Z",
    "completed_at": "2026-05-27T13:44:19.847Z"
}
```

{% endtab %}
{% endtabs %}

## Get details

<mark style="color:blue;">`GET`</mark> `https://secctrl.tutelar.io/api/v1/services/business_profile/epfo_basic_establishment`

### Query parameters description is given below,

<table><thead><tr><th width="197">Query Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>reference_id </td><td>String </td><td>Yes </td><td>Document reference id</td></tr></tbody></table>

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "7432a1ae-dbe6-4f52-affb-a72412c9d5af",
    "status": "completed",
    "result": {
        "establishmentStatus": "Inactive",
        "establishmentInfo": {
            "address": "PETTUKOLA TOWERS 2ND FLOOR NO,190 A PETTUKOLA TOWERS 2ND FLOOR NO,190 A",
            "city": "CHENNAI",
            "country": "India",
            "dateOfSetupOfEstablishment": "",
            "district": "",
            "epfoOfficeAddress": "No. 37, Royapettah High Road, Opposite Swagat Hotel,",
            "epfoOfficeName": "CHENNAI",
            "esicCode": "",
            "establishmentCode": "TNMAS0084042000",
            "nameOfEstablishment": "ENTRUST EXIM",
            "ownershipType": "",
            "panStatus": "",
            "pinCode": "600010",
            "primaryBusinessActivity": "TRADING - COMMERCIAL ESTABLISHMENTS",
            "region": "TN - CHENNAI",
            "sectionApplicable": "OTHER ESTABLISHMENTS IN WHICH EMPLOYING 20 OR MORE PERSONS AND NOTIFIED BY THE CENTRAL GOVT.",
            "state": "TAMIL NADU",
            "zone": "TAMIL NADU AND KERALA"
        },
        "transactionsMonthlySummary": "No Payment details found for this Establishment id."
    },
    "requested_at": "2026-05-27T13:23:04.680Z",
    "completed_at": "2026-05-27T13:23:05.914Z"
}
```

{% endtab %}

{% tab title="200: Inprogress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "77a01069-2dfd-422f-8006-45389e2abf8a",
    "status": "in_progress",
    "requested_at": "2026-05-27T13:42:28.487Z"
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "84068ad7-9dd3-4b56-8d42-c77eead306f5",
    "status": "failed",
    "error": {
        "message": "No result found",
        "code": "ERROR"
    },
    "requested_at": "2026-05-27T13:44:16.463Z",
    "completed_at": "2026-05-27T13:44:19.847Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/business-profile/epfo-basic-establishment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
